> This page is for Firmware, version 3.2.
> For other versions, use one of these documentation indexes:
> - 4.0 (default): https://docs.ouster.com/sensor-docs/firmware/4.0/llms.txt
> - 3.2: https://docs.ouster.com/sensor-docs/firmware/3.2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ouster.com/sensor-docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ouster.com/sensor-docs/_mcp/server.

# Get the lidar data format

GET http://os-992244000006.local/api/v1/sensor/metadata/lidar_data_format

Get the sensor lidar data format

__Note:__ This command only works when the lidar is running

Reference: https://docs.ouster.com/sensor-docs/firmware/api-reference/ouster-http-api/sensor-metadata/get-lidar-data-format

## Response

### 200

Lidar packet structure metadata

- `columns_per_frame` (integer, optional) — Number of measurement columns per frame. This can be 512, 1024, or 2048, depending upon the set lidar mode.
- `columns_per_packet` (integer, optional) — Number of measurement blocks contained in a single lidar packet. __Note:__ This is not user configurable.
- `pixel_shift_by_row` (list of integer, optional) — Offset in terms of pixel count. Can be used to destagger image. Varies by lidar mode. Length of this array is equal to the number of channels of the sensor.
- `pixels_per_column` (integer, optional) — Number of channels of the sensor.
- `column_window` (list of integer, optional) — Index of measurement blocks that are active. Default is [0, lidar_mode-1], e.g. [0,1023]. If there is an azimuth window set, this parameter will reflect which measurement blocks of data are within the region of interest.
- `header_type` (enum, optional, default: STANDARD) — UDP packet header type
  - Allowed values: `STANDARD`, `FUSA`, `LEGACY`
- `udp_profile_lidar` (enum, optional, default: RNG19_RFL8_SIG16_NIR16) — Lidar data profile format. Defaults to single return profile.
  - Allowed values: `RNG19_RFL8_SIG16_NIR16`, `RNG19_RFL8_SIG16_NIR16_ZONE16`, `RNG19_RFL8_SIG16_NIR16_DUAL`, `RNG15_RFL8_NIR8`, `RNG15_RFL8_NIR8_ZONE16`, `RNG15_RFL8_NIR8_DUAL`
- `udp_profile_imu` (any, optional, default: LEGACY) — IMU data profile format
- `lidar_frame_azimuth_offset` (integer, optional) — The configured azimuth offset for the lidar coordinate frame in millidegrees

## Examples

**Response**

```json
{
  "columns_per_frame": 1024,
  "columns_per_packet": 16,
  "pixel_shift_by_row": [
    0,
    1,
    2,
    3,
    4,
    5,
    6,
    7,
    8,
    9,
    10,
    11,
    12,
    13,
    14,
    15,
    16,
    17,
    18,
    19,
    20,
    21,
    22,
    23,
    24,
    25,
    26,
    27,
    28,
    29,
    30,
    31,
    32,
    33,
    34,
    35,
    36,
    37,
    38,
    39,
    40,
    41,
    42,
    43,
    44,
    45,
    46,
    47,
    48,
    49,
    50,
    51,
    52,
    53,
    54,
    55,
    56,
    57,
    58,
    59,
    60,
    61,
    62,
    63,
    64,
    65,
    66,
    67,
    68,
    69,
    70,
    71,
    72,
    73,
    74,
    75,
    76,
    77,
    78,
    79,
    80,
    81,
    82,
    83,
    84,
    85,
    86,
    87,
    88,
    89,
    90,
    91,
    92,
    93,
    94,
    95,
    96,
    97,
    98,
    99,
    100,
    101,
    102,
    103,
    104,
    105,
    106,
    107,
    108,
    109,
    110,
    111,
    112,
    113,
    114,
    115,
    116,
    117,
    118,
    119,
    120,
    121,
    122,
    123,
    124,
    125,
    126,
    127
  ],
  "pixels_per_column": 128,
  "column_window": [
    0,
    1023
  ],
  "header_type": "STANDARD",
  "udp_profile_lidar": "RNG19_RFL8_SIG16_NIR16",
  "udp_profile_imu": "LEGACY",
  "lidar_frame_azimuth_offset": 150
}
```

**SDK Code**

```python
import requests

url = "http://os-992244000006.local/api/v1/sensor/metadata/lidar_data_format"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'http://os-992244000006.local/api/v1/sensor/metadata/lidar_data_format';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "http://os-992244000006.local/api/v1/sensor/metadata/lidar_data_format"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("http://os-992244000006.local/api/v1/sensor/metadata/lidar_data_format")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("http://os-992244000006.local/api/v1/sensor/metadata/lidar_data_format")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'http://os-992244000006.local/api/v1/sensor/metadata/lidar_data_format');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("http://os-992244000006.local/api/v1/sensor/metadata/lidar_data_format");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "http://os-992244000006.local/api/v1/sensor/metadata/lidar_data_format")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```